==========
Allowances
==========

.. rubric:: keeping track of my children's money since 2013

Why
===

I want to write a from-scratch, non-tutorial web application in go. This is my
attempt at such an endeavor.


What
====

The main point of this app should be the following:
    * authenticate user(s)
    * All should be able to see:
        - how much each child has earned
        - show results for a single child
    * Authenticated users should be able to:
        - add money to a given child by surfing to their page and clicking on
          coins
    * The app should:
        - be resilient to restart
            - on write, store info in .json db
            - on start up deal with parsing and empty data.json files
        - look better than what I've written in the past

Dependencies
============
    * bootstrap_
        - place in ./static/bootstrap


Bootstrap DB
============

$ echo "[]" > passwds.json

.. _bootstrap: http://twitter.github.com/bootstrap/assets/bootstrap.zip
